#include "arm7.h"

enum {
	IPC_NDS, IPC_PASSME, IPC_GBA, IPC_POWEROFF, IPC_SLEEP,
	IPC_NDS_GO, IPC_NDS_STOP, IPC_WRITE_PSETTINGS, 
	IPC_WRITE_RTC, IPC_WRITE_WIFI_0, IPC_WRITE_WIFI_1, 
	IPC_WRITE_WIFI_2, 
#ifdef DS_CARD_DUMP
	IPC_DUMPCARD
#endif
} IPC_MSG;

#define IPC_ARM9 (*(vu32*)0x27ff200)	//message from arm9
#define IPC_ARM9_P1 (*(vu32*)0x27ff204) // parameter from arm9
#define IPC_ARM7 (*(vu32*)0x27ff208)	//message from arm7
#define IPC_XKEYS (*(vu32*)0x27ff20C)
